Intrusion Prevention

Oracle.Database.Network.Foundation.Remote.Code.Execution

Description

This indicates an attack attempt against a code execution vulnerability in Oracle Database.
The vulnerability is caused by an error when the vulnerable software handles a malicious TNS packet. It allows a remote attacker to execute arbitrary code via sending crafted request.

Affected Products

Oracle Database 9.2.0.8, 9.2.0.8DV, 10.1.0.5, 10.2.0.4, and 11.1.0.7

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply patch, available from the web site:
http://www.oracle.com/technology/deploy/security/critical-patch-updates/cpujul2009.html

CVE References

CVE-2009-1020